Update External Auth Control
Update External auth control for of VoD push zone
curl -X POST "https://api.5centscdn.com/v2/zones/vod/pull/42/eac" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY" \
-d '{
"enabled": "Y",
"policy": "Y",
"authurl": "http://example.com/auth.script",
"ips": "117.251.60.184"
}'
import requests
import json
url = "https://api.5centscdn.com/v2/zones/vod/pull/42/eac"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
data = {
"enabled": "Y",
"policy": "Y",
"authurl": "http://example.com/auth.script",
"ips": "117.251.60.184"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/zones/vod/pull/42/eac", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
},
body: JSON.stringify({
"enabled": "Y",
"policy": "Y",
"authurl": "http://example.com/auth.script",
"ips": "117.251.60.184"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"enabled": "Y",
"policy": "Y",
"authurl": "http://example.com/auth.script",
"ips": "117.251.60.184"
}`)
req, err := http.NewRequest("POST", "https://api.5centscdn.com/v2/zones/vod/pull/42/eac", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/zones/vod/pull/42/eac')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
request.body = '{
"enabled": "Y",
"policy": "Y",
"authurl": "http://example.com/auth.script",
"ips": "117.251.60.184"
}'
response = http.request(request)
puts response.body
{
"result": "success",
"zone": {
"type": "pull",
"id": 12345,
"serviceid": 67890,
"mode": "http",
"cnames": "",
"edgeruleids": 0,
"deleted": null,
"name": "my-cdn-zone",
"hashid": "abc123def456",
"fqdn": "cdn.example.com",
"fqdnVoD": "vod.example.com",
"edgerules": {
"enabled": "N"
},
"domainlock": {
"policy": "N",
"list": "example.com,cdn.example.com",
"ips": "203.0.113.10",
"noreferer": "N",
"type": "push",
"enabled": "N",
"active": "N"
},
"geoblock": {
"policy": "N",
"list": [
"US",
"GB"
],
"ips": "203.0.113.10",
"enabled": "N",
"active": "N"
},
"securetoken": {
"policy": "F",
"keyip": "N",
"list": "ab12cd34ef56gh78",
"timeout": 3600,
"session": "0",
"ips": "",
"dirs": "",
"enabled": "N",
"active": "N"
},
"eac": {
"policy": "N",
"list": "http://example.com/auth.script",
"ips": "203.0.113.10",
"enabled": "N",
"active": "N"
},
"ssl": {
"http": "N",
"http2": "Y",
"redirect": "Y",
"mode": "S",
"certid": null,
"zerossl": null,
"enabled": "Y",
"warning": false
},
"cache": {
"smart": "0",
"cache": "4h",
"expiry": "1M",
"querystring": "N",
"cachecontrol": "Y",
"usestale": "Y",
"revalidate": "Y",
"cacheInSecs": 14400,
"cacheInMins": 240,
"expiryInSecs": 2592000,
"expiryInMins": 43200
},
"edge": {
"compression": "N",
"compressionlevel": 5,
"disposition": "N",
"stripcookie": "N",
"xff": "N",
"cors": "Y",
"webp": "N",
"pseudostreaming": "N",
"wp": "N",
"lfo": "Y",
"prefresh": "N"
},
"shield": {
"shields": [
"CA",
"FR"
]
},
"waf": {
"enabled": "N"
},
"seo": {
"id": 12345,
"type": "pull",
"canonical": "N",
"mode": "default",
"robots": "N",
"robotstxt": "N",
"robotstxtcustom": ""
},
"ftpdetails": {
"username": "user_67890_push_12345",
"password": "••••••••"
},
"ssl_enabled": "Y"
}
}
/zones/vod/pull/{zoneid}/eacTarget server for requests. Edit to use your own host.
API key (sent in header)
Zone ID
The media type of the request body
Enable External Auth Control (omit to disable)
Values can be Y or N. Set to Y if External auth control should be enabled Set to N if External auth control should be disabled.
Custom script that crosschecks the User/Viewer parameters and determines authorized users Eg: http://example.com/auth.script
List of Allowed IP's
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Path Parameters
Body
Values can be Y or N. Set to Y if External auth control should be enabled Set to N if External auth control should be disabled.
YCustom script that crosschecks the User/Viewer parameters and determines authorized users Eg: http://example.com/auth.script
http://example.com/auth.scriptResponses
Status of the API response.